import { Instance } from 'tippy.js';
import CommandBar from './command-bar';
import { AbstractManualCommandBar, ManualShowCommandBarOptions, CloseReason } from '../types';
export default abstract class ManualCommandBar extends CommandBar implements AbstractManualCommandBar {
    tippyInstance: Instance | null;
    manualShow(target: HTMLElement, options?: ManualShowCommandBarOptions): void;
    close(reason: CloseReason): void;
    destroy(): void;
    protected getCommandBarRoot(): HTMLElement | null;
    get isVisible(): boolean;
    get popper(): Element | null;
}
